Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management
Interface RemoteMBeanServer

public interface RemoteMBeanServer
extends javax.management.MBeanServer, java.rmi.Remote

Contains methods for instantiating, registering, and deleting MBeans from a remote JVM. WebLogic Server provides this interface to support standard JMX interaction with MBeans on server instances from remote JVMs.

WebLogic Server provides another interface for interacting with MBeans, `MBeanHome`, but `MBeanHome` is not a standard JMX interface. Any code that uses `MBeanHome` might not function in other J2EE application servers.

To look up this `RemoteMBeanServer` interface, use `MBeanHome`.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static java.lang.String` | `JNDI_NAME` The JNDI name for this interface.

Method Summary
`MBeanHome` | `getMBeanHome()` Returns the local `MBeanHome` interface.

Methods inherited from interface javax.management.MBeanServer
`addNotificationListener, addNotificationListener, createMBean, createMBean, createMBean, createMBean, deserialize, deserialize, deserialize, getAttribute, getAttributes, getDefaultDomain, getMBeanCount, getMBeanInfo, getObjectInstance, instantiate, instantiate, instantiate, instantiate, invoke, isInstanceOf, isRegistered, queryMBeans, queryNames, registerMBean, removeNotificationListener, removeNotificationListener, setAttribute, setAttributes, unregisterMBean`

Field Detail

### JNDI_NAME

    public static final java.lang.String JNDI_NAME

  The JNDI name for this interface.

Method Detail

### getMBeanHome

    public MBeanHome getMBeanHome()
                           throws java.rmi.RemoteException

  Returns the local `MBeanHome` interface. You can use the `MBeanHome` interface to look up the Local Configuration MBeans and Runtime MBeans that are registered on the current server instance. You can also use `MBeanHome` to retrieve strongly typed stubs for the MBeans on the current server instance.

  Returns:
    The MBeanHome interface
  Throws:
    java.rmi.RemoteException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD